#plane of earth fight 2
from eventAPI import *
from APIUtils import *

rtpoearthFlag2=0

def fireEvent(e):
   global rtpoearthFlag2
   rtpoearthFlag2 = getTag(e, "rtpoearthFlag2")
   if (rtpoearthFlag2 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Stone Beast", 3, 3, 20)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpoearthFlag2
   rtpoearthFlag2 = 1
   setTag(e, "rtpoearthFlag2", rtpoearthFlag2)
